Virtual Coin Widgets 2.1.10

Plugin Documentation By RunCoders

# Virtual Coin Widgets

Virtual Coin Widgets is a plugin with 10 cryptocurrencies widgets.

Before starting the setup, please check if your system meets the requirements.

### Requirements:

Wordpress 3.6+
PHP 5.6+
PHP cURL
Total CryptoCurrencies
1600+
Shortcodes
10
Color Schemas
21

### Please get started with the following steps:

1. Setup
Before you can use this plugin you need to complete the setup.
Setup
2. Shortcodes
After the setup, you can create your widgets.
Shortcodes
3. Usage
How & where to use shortcodes.
Usage
4. Currencies
All available currencies.
Currencies
5. Contributes
List of frameworks/APIs used.
Contributes
6. Change Log
Updates change log.
Change Log
7. Support
If you need help, just send us a message.
Support

# Setup

#### From Wordpress Admin Panel

Open the Wordpress admin panel (navigate through web browser to the folder where you have installed the WordPress e.g www.your_domain.com/wp-admin/).
Login to your Wordpress admin panel then from the sidebar on the left choose Plugins.
Click Add New.
Click in Upload Plugin button and choose virtual_coin_widgets.zip file.
After installation click Activate Plugin.

#### From FTP

Unzip the virtual_coin_widgets.zip package (the zip package is inside the plugin folder you have downloaded from CodeCanyon).
Connect to your server.
Navigate to your Wordpress installation folder.
Upload the virtual_coin_widgets folder into the wp-content/plugins directory (the path will look like this: wp-content/plugins/virtual_coin_widgets).
Open the Wordpress admin panel (navigate through web browser to the folder where you have installed the WordPress e.g www.your_domain.com/wp-admin/).
Login to your Wordpress admin panel then from the sidebar on the left choose Plugins.
Find the Virtual Coin Widgets plugin and click the Activate.

# Shortcodes

Change Label
Options
color
Default: white
Available: red, pink, purple, deep_purple, indigo, blue, light_blue, cyan, teal, green, light_green, lime, yellow, amber, orange, deep_orange, brown, grey, blue_grey, black, white.
symbol
Default: BTC
Available: CoinMarketCap
url
Default: none
Including a URL will turn it in a button with redirection.
target
Default: _blank
Available: _blank or _self
Use _black to open in new tab, or _self to open in same tab
fullwidth
Default: no
Available: yes or no
show_logo
Default: yes
Available: yes or no
Code Example

    [vcw-change-label symbol="BTC" color="black" url="http://runcoders.com/" target="_self" fullwidth="no" show_logo="yes"]

Preview
Price Label
Options
color
Default: white
Available: red, pink, purple, deep_purple, indigo, blue, light_blue, cyan, teal, green, light_green, lime, yellow, amber, orange, deep_orange, brown, grey, blue_grey, black, white.
symbol
Default: BTC
Available: CoinMarketCap
currency
Default: USD
Available: Check Currencies
url
Default: none
Including a URL will turn it in a button with redirection.
target
Default: _blank
Available: _blank or _self
Use _black to open in new tab, or _self to open in same tab
fullwidth
Default: no
Available: yes or no
show_logo
Default: yes
Available: yes or no
Code Example

    [vcw-price-label symbol="BTC" color="white" currency="USD" url="http://runcoders.com/" target="_self" fullwidth="no" show_logo="yes"]

Preview
Change Big Label
Options
color
Default: white
Available: red, pink, purple, deep_purple, indigo, blue, light_blue, cyan, teal, green, light_green, lime, yellow, amber, orange, deep_orange, brown, grey, blue_grey, black, white.
symbol
Default: BTC
Available: CoinMarketCap
url
Default: none
Including a URL will turn it in a button with redirection.
target
Default: _blank
Available: _blank or _self
Use _black to open in new tab, or _self to open in same tab
fullwidth
Default: no
Available: yes or no
show_logo
Default: yes
Available: yes or no
Code Example

    [vcw-change-big-label symbol="ETH" color="indigo" url="http://runcoders.com/" target="_self" fullwidth="no" show_logo="yes"]

Preview
Price Big Label
Options
color
Default: white
Available: red, pink, purple, deep_purple, indigo, blue, light_blue, cyan, teal, green, light_green, lime, yellow, amber, orange, deep_orange, brown, grey, blue_grey, black, white.
symbol
Default: BTC
Available: CoinMarketCap
currency1
Default: USD
Available: Check Currencies
currency2
Default: EUR
Available: Check Currencies
currency3
Default: GBP
Available: Check Currencies
url
Default: none
Including a URL will turn it in a button with redirection.
target
Default: _blank
Available: _blank or _self
Use _black to open in new tab, or _self to open in same tab
fullwidth
Default: no
Available: yes or no
show_logo
Default: yes
Available: yes or no
Code Example

    [vcw-price-big-label symbol="XRP" color="blue" currency1="USD" currency2="EUR" currency3="GBP" url="http://runcoders.com/" target="_self" fullwidth="no" show_logo="yes"]

Preview
Change Card
Options
color
Default: white
Available: red, pink, purple, deep_purple, indigo, blue, light_blue, cyan, teal, green, light_green, lime, yellow, amber, orange, deep_orange, brown, grey, blue_grey, black, white.
symbol
Default: BTC
Available: CoinMarketCap
url
Default: none
Including a URL will turn it in a button with redirection.
target
Default: _blank
Available: _blank or _self
Use _black to open in new tab, or _self to open in same tab
fullwidth
Default: no
Available: yes or no
show_logo
Default: yes
Available: yes or no
Code Example

    [vcw-change-card symbol="NEO" color="green" url="http://runcoders.com/" target="_self" fullwidth="no" show_logo="yes"]

Preview
Price Card
Options
color
Default: white
Available: red, pink, purple, deep_purple, indigo, blue, light_blue, cyan, teal, green, light_green, lime, yellow, amber, orange, deep_orange, brown, grey, blue_grey, black, white.
symbol
Default: BTC
Available: CoinMarketCap
currency1
Default: USD
Available: Check Currencies
currency2
Default: EUR
Available: Check Currencies
currency3
Default: GBP
Available: Check Currencies
url
Default: none
Including a URL will turn it in a button with redirection.
target
Default: _blank
Available: _blank or _self
Use _black to open in new tab, or _self to open in same tab
fullwidth
Default: no
Available: yes or no
show_logo
Default: yes
Available: yes or no
Code Example

    [vcw-price-card symbol="XMR" color="orange" currency1="USD" currency2="EUR" currency3="GBP" url="http://runcoders.com/" target="_self" fullwidth="no" show_logo="yes"]

Preview
Full Card
Options
color
Default: white
Available: red, pink, purple, deep_purple, indigo, blue, light_blue, cyan, teal, green, light_green, lime, yellow, amber, orange, deep_orange, brown, grey, blue_grey, black, white.
symbol
Default: BTC
Available: CoinMarketCap
currency1
Default: USD
Available: Check Currencies
currency2
Default: EUR
Available: Check Currencies
currency3
Default: GBP
Available: Check Currencies
url
Default: none
Including a URL will turn it in a button with redirection.
target
Default: _blank
Available: _blank or _self
Use _black to open in new tab, or _self to open in same tab
fullwidth
Default: no
Available: yes or no
show_logo
Default: yes
Available: yes or no
Code Example

    [vcw-full-card symbol="LTC" color="grey" currency1="USD" currency2="EUR" currency3="GBP" url="http://runcoders.com/" target="_self" fullwidth="no" show_logo="yes"]

Preview
Table
Options
color
Default: white
Available: red, pink, purple, deep_purple, indigo, blue, light_blue, cyan, teal, green, light_green, lime, yellow, amber, orange, deep_orange, brown, grey, blue_grey, black, white.
symbols
Default: none
Available: CoinMarketCap
Should be comma separated symbols string.
count
Default: 10
If symbols is empty, will be displayed this count of top market cap cryptocurrencies.
currency
Default: USD
Available: Check Currencies
fullwidth
Default: no
Available: yes or no
Code Example

    [vcw-table symbols="" color="white" currency="USD" count="10" fullwidth="yes"]

Preview
Small Table
Options
color
Default: white
Available: red, pink, purple, deep_purple, indigo, blue, light_blue, cyan, teal, green, light_green, lime, yellow, amber, orange, deep_orange, brown, grey, blue_grey, black, white.
symbols
Default: BTC,ETH,XRP,LTC,XMR
Available: CoinMarketCap
Should be comma separated symbols.
count
Default: 10
If symbols is empty, will be displayed this count of top market cap cryptocurrencies.
currency
Default: USD
Available: Check Currencies
fullwidth
Default: no
Available: yes or no
Code Example

    [vcw-small-table symbols="BTC,ETH,XRP,XMR,LTC" color="black" currency="JPY" count="" fullwidth="no"]

Preview
Converter
Options
color
Default: white
Available: red, pink, purple, deep_purple, indigo, blue, light_blue, cyan, teal, green, light_green, lime, yellow, amber, orange, deep_orange, brown, grey, blue_grey, black, white.
symbol1
Default: BTC
Available: CoinMarketCap
symbol2
Default: BTC
Available: CoinMarketCap
initial
Default: 1
Initial value for symbol1
fullwidth
Default: no
Available: yes or no
Code Example

    [vcw-converter symbol1="BTC" symbol2="USD" color="black" initial="1" fullwidth="no"]

Preview

# Usage

To use the shortcodes you just need to paste the code in post/page content or text widget. We have two examples:

### Page/Post

### Sidebar

# Currencies

Virtual Coin Widgets has 1600+ currencies available for price conversion.

### CryptoCurrencies

Check all available cryptocurrencies in CoinMarketCap:

CoinMarketCap All

### Fiat Currencies

Fiat currencies available for price display:

- USD: US Dollar
- EUR: Eurozone Euro
- GBP: Pound Sterling
- JPY: Japanese Yen
- CAD: Canadian Dollar
- AUD: Australian Dollar
- CNY: Chinese Yuan
- CHF: Swiss Franc
- SEK: Swedish Krona
- NZD: New Zealand Dollar
- KRW: South Korean Won
- AED: UAE Dirham
- AFN: Afghan Afghani
- ALL: Albanian Lek
- AMD: Armenian Dram
- ANG: Netherlands Antillean Guilder
- AOA: Angolan Kwanza
- ARS: Argentine Peso
- AWG: Aruban Florin
- AZN: Azerbaijani Manat
- BAM: Bosnia-Herzegovina Convertible Mark
- BBD: Barbadian Dollar
- BDT: Bangladeshi Taka
- BGN: Bulgarian Lev
- BHD: Bahraini Dinar
- BIF: Burundian Franc
- BMD: Bermudan Dollar
- BND: Brunei Dollar
- BOB: Bolivian Boliviano
- BRL: Brazilian Real
- BSD: Bahamian Dollar
- BTN: Bhutanese Ngultrum
- BWP: Botswanan Pula
- BZD: Belize Dollar
- CDF: Congolese Franc
- CLF: Chilean Unit of Account (UF)
- CLP: Chilean Peso
- COP: Colombian Peso
- CRC: Costa Rican ColÃ³n
- CUP: Cuban Peso
- CVE: Cape Verdean Escudo
- CZK: Czech Koruna
- DJF: Djiboutian Franc
- DKK: Danish Krone
- DOP: Dominican Peso
- DZD: Algerian Dinar
- EGP: Egyptian Pound
- ETB: Ethiopian Birr
- FJD: Fijian Dollar
- FKP: Falkland Islands Pound
- GEL: Georgian Lari
- GHS: Ghanaian Cedi
- GIP: Gibraltar Pound
- GMD: Gambian Dalasi
- GNF: Guinean Franc
- GTQ: Guatemalan Quetzal
- GYD: Guyanaese Dollar
- HKD: Hong Kong Dollar
- HNL: Honduran Lempira
- HRK: Croatian Kuna
- HTG: Haitian Gourde
- HUF: Hungarian Forint
- IDR: Indonesian Rupiah
- ILS: Israeli Shekel
- INR: Indian Rupee
- IQD: Iraqi Dinar
- IRR: Iranian Rial
- ISK: Icelandic KrÃ³na
- JEP: Jersey Pound
- JMD: Jamaican Dollar
- JOD: Jordanian Dinar
- KES: Kenyan Shilling
- KGS: Kyrgystani Som
- KHR: Cambodian Riel
- KMF: Comorian Franc
- KPW: North Korean Won
- KWD: Kuwaiti Dinar
- KYD: Cayman Islands Dollar
- KZT: Kazakhstani Tenge
- LAK: Laotian Kip
- LBP: Lebanese Pound
- LKR: Sri Lankan Rupee
- LRD: Liberian Dollar
- LSL: Lesotho Loti
- LYD: Libyan Dinar
- MAD: Moroccan Dirham
- MDL: Moldovan Leu
- MGA: Malagasy Ariary
- MKD: Macedonian Denar
- MMK: Myanma Kyat
- MNT: Mongolian Tugrik
- MOP: Macanese Pataca
- MRO: Mauritanian Ouguiya
- MUR: Mauritian Rupee
- MVR: Maldivian Rufiyaa
- MWK: Malawian Kwacha
- MXN: Mexican Peso
- MYR: Malaysian Ringgit
- MZN: Mozambican Metical
- NAD: Namibian Dollar
- NGN: Nigerian Naira
- NIO: Nicaraguan CÃ³rdoba
- NOK: Norwegian Krone
- NPR: Nepalese Rupee
- OMR: Omani Rial
- PAB: Panamanian Balboa
- PEN: Peruvian Nuevo Sol
- PGK: Papua New Guinean Kina
- PHP: Philippine Peso
- PKR: Pakistani Rupee
- PLN: Polish Zloty
- PYG: Paraguayan Guarani
- QAR: Qatari Rial
- RON: Romanian Leu
- RSD: Serbian Dinar
- RUB: Russian Ruble
- RWF: Rwandan Franc
- SAR: Saudi Riyal
- SBD: Solomon Islands Dollar
- SCR: Seychellois Rupee
- SDG: Sudanese Pound
- SGD: Singapore Dollar
- SHP: Saint Helena Pound
- SLL: Sierra Leonean Leone
- SOS: Somali Shilling
- SRD: Surinamese Dollar
- STD: SÃ£o TomÃ© and PrÃncipe Dobra
- SVC: Salvadoran ColÃ³n
- SYP: Syrian Pound
- SZL: Swazi Lilangeni
- THB: Thai Baht
- TJS: Tajikistani Somoni
- TMT: Turkmenistani Manat
- TND: Tunisian Dinar
- TOP: Tongan PaÊ»anga
- TRY: Turkish Lira
- TTD: Trinidad and Tobago Dollar
- TWD: New Taiwan Dollar
- TZS: Tanzanian Shilling
- UAH: Ukrainian Hryvnia
- UGX: Ugandan Shilling
- UYU: Uruguayan Peso
- UZS: Uzbekistan Som
- VEF: Venezuelan BolÃvar Fuerte
- VND: Vietnamese Dong
- VUV: Vanuatu Vatu
- WST: Samoan Tala
- XAF: CFA Franc BEAC
- XAG: Silver (troy ounce)
- XAU: Gold (troy ounce)
- XCD: East Caribbean Dollar
- XOF: CFA Franc BCEAO
- XPF: CFP Franc
- YER: Yemeni Rial
- ZAR: South African Rand
- ZMW: Zambian Kwacha
- ZWL: Zimbabwean Dollar

# Contributes

Virtual Coin Widgets is using the following frameworks/APIs:

jQuery
MoneyJS
BitPay API
CoinCap API
CryptoCompare API
CoinMarketCap API
Font Awesome

Thanks to all that contribute for the development of these technologies.

# Change Log

1.0
2017/01/25
700+ Cryptocurrencies
10 Widgets
21 Colors Schemas
32 Fiat Currencies
1.1
2017/06/03
Builder added
163 Fiat currencies
Bugs fixed
1.2
2017/07/17
Bugs fixed
1.2.1
2017/11/13
API request fixed
1.2.2
2018/01/06
Bugs fixed
2.0.0
2018/02/19
Widgets re-built (major bug was corrected)
Fullwidth feature added
Re-design
New Builder
2.1.9
2018/05/28
CryptoCurrency logos added
Live trading added
2.1.10
2018/05/29
Bugs fixed

# Help Support

If you need help with the setup/usage of this software, please contact us:

runcoders@gmail.com RunCoders
© 2018 RunCoders